CurvedDimensionRadial Constructor (ViewBase, Point, Point, Point, Point, Point, Double, CurvedDimensionSetRadialCurvedDimensionSetRadialAttributes)

Creates a new curved dimension with radial reference points.

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.3
Syntax
public CurvedDimensionRadial(
	ViewBase View,
	Point ArcPoint1,
	Point ArcPoint2,
	Point ArcPoint3,
	Point StartPoint,
	Point EndPoint,
	double Distance,
	CurvedDimensionSetRadialCurvedDimensionSetRadialAttributes Attributes
)

Parameters

View
Type: Tekla.Structures.DrawingViewBase
The view to be used.
ArcPoint1
Type: Tekla.Structures.Geometry3dPoint
The first arc point to be used.
ArcPoint2
Type: Tekla.Structures.Geometry3dPoint
The second arc point to be used.
ArcPoint3
Type: Tekla.Structures.Geometry3dPoint
The third arc point to be used.
StartPoint
Type: Tekla.Structures.Geometry3dPoint
The start point to be used.
EndPoint
Type: Tekla.Structures.Geometry3dPoint
The end point to be used.
Distance
Type: SystemDouble
The distance in paper millimeters.
Attributes
Type: Tekla.Structures.DrawingCurvedDimensionSetRadialCurvedDimensionSetRadialAttributes
The attributes to be applied.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next